w3af是一个Web应用程序×××和审计框架。该项目的目标是创建一个框架,通过查找和利用所有Web应用程序漏洞来帮助您保护Web应用程序
github地址:https://github.com/andresriancho/w3af.git
直接git clone https://github.com/andresriancho/w3af.git 下载即可
下载完后安装pybloomfiltermmap graphviz
apt install -y python-pybloomfiltermmap
Kalilinux安装w3af
安装成功后可以看到pybloomfiltermmap版本为0.3.15 w3af文件中需要安装的版本为0.3.14 并且kali自带的lxml和openssl版本与w3af中安装的版本也不一样 需要手动修改w3af文件改成kali自带的版本
vim w3af/core/controllers/dependency_check/requirements.py
Kalilinux安装w3af
PIPDependency(‘pybloomfilter’, ‘pybloomfiltermmap’, ‘0.3.15’)
PIPDependency(‘OpenSSL’, ‘pyOpenSSL’, ‘16.2.0’)
PIPDependency(‘lxml’, ‘lxml’, ‘3.7.1’)
Kalilinux安装w3af
vim w3af/core/controllers/dependency_check/platforms/mac.py
Kalilinux安装w3af
MAC_CORE_PIP_PACKAGES.remove(PIPDependency(‘pybloomfilter’, ‘pybloomfiltermmap’, ‘0.3.15’)
Kalilinux安装w3af
然后执行./w3af_gui会显示各种安装所需要的依赖并在/tmp目录下生成安装脚本
Kalilinux安装w3af
cd到tmp目录下运行安装脚本
./w3af_dependency_install.sh
Kalilinux安装w3af
注意了,这时候下面出现successfully并不一定代表成功看下面报错
Kalilinux安装w3af
因为kali2.0没有npm命令,这时候我们在安装下就好了
wget http://npmjs.org/install.sh 下载一下安装脚本然后chmod +x install.sh 给下执行权限再运行下即可
./install.sh
Kalilinux安装w3af
这时候就可以tab出npm命令了
根据上个提示npm install -g retire安装即可(此处比较漫长)
再执行下./w3af_gui 提示需要安装graphviz
apt-get install graphviz
再次执行./w3af_gui又提示no module named webkit
Kalilinux安装w3af
又得下载软件包以及yil依赖
cd ../
wget http://ftp.br.debian.org/debian/pool/main/p/pywebkitgtk/python-webkit_1.1.8-3_amd64.deb
wget http://ftp.br.debian.org/debian/pool/main/w/webkitgtk/libjavascriptcoregtk-1.0-0_2.4.11-3_amd64.deb
wget http://ftp.br.debian.org/debian/pool/main/p/python-support/python-support_1.0.15_all.deb
wget http://ftp.br.debian.org/debian/pool/main/w/webkitgtk/libwebkitgtk-1.0-0_2.4.11-3_amd64.deb
安装
dpkg -i libjavascriptcoregtk-1.0-0_2.4.11-3_amd64.deb
dpkg -i python-support_1.0.15_all.deb
dpkg -i libwebkitgtk-1.0-0_2.4.11-3_amd64.deb
dpkg -i python-webkit_1.1.8-3_amd64.deb
安装时会出现报错??
Kalilinux安装w3af
不用着急按照我给的顺序安装并用apt-get install --fix-broken命令执行修复安装然后再次执行dpkg安装即可
至此就完成了直接./w3af_gui就可以启动了
Kalilinux安装w3af
附上一张扫的北京电影学院的
Kalilinux安装w3af